commit ee20cad739fbe9b787ca967db6eba0adbce3553e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri Dec 3 01:18:40 2021

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 3cb1ef953d4..36e4981154c 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2021-12-02  Rasmus Villemoes  <rasmus.villemoes@prevas.dk>
+
+	Backported from master:
+	2021-12-02  Rasmus Villemoes  <rasmus.villemoes@prevas.dk>
+
+	* config/vxworks.h (LTO_PLUGIN_SPEC): Adapt to corrected
+	spelling of -linker-output-auto-nolto-rel.
+
 2021-12-01  Martin Jambor  <mjambor@suse.cz>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 428bbfd74ca..9098a5700ef 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211202
+20211203
diff --git a/gcc/cp/ChangeLog b/gcc/cp/ChangeLog
index 31cffa454cb..2d0c6036893 100644
--- a/gcc/cp/ChangeLog
+++ b/gcc/cp/ChangeLog
@@ -1,3 +1,12 @@
+2021-12-02  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2021-12-02  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/94490
+	* pt.c (expand_integer_pack): Call
+	instantiate_non_dependent_expr_sfinae.
+
 2021-12-01  Jason Merrill  <jason@redhat.com>
 
 	* semantics.c (is_this_parameter): Check DECL_HAS_VALUE_EXPR_P
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index eacff404ffd..dc2ba02c515 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-12-02  Marek Polacek  <polacek@redhat.com>
+
+	Backported from master:
+	2021-12-02  Marek Polacek  <polacek@redhat.com>
+
+	PR c++/94490
+	* g++.dg/ext/integer-pack5.C: New test.
+
 2021-12-01  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/libphobos/ChangeLog b/libphobos/ChangeLog
index 67354011b65..2c8f47f74f3 100644
--- a/libphobos/ChangeLog
+++ b/libphobos/ChangeLog
@@ -1,3 +1,11 @@
+2021-12-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2021-12-02  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* libdruntime/core/thread/osthread.d (callWithStackShell): Push all
+	callee-save registers on the stack for AArch64 and ARM.
+
 2021-11-19  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/lto-plugin/ChangeLog b/lto-plugin/ChangeLog
index e2d040c1890..5d30fbb4f1d 100644
--- a/lto-plugin/ChangeLog
+++ b/lto-plugin/ChangeLog
@@ -1,3 +1,13 @@
+2021-12-02  Rasmus Villemoes  <rasmus.villemoes@prevas.dk>
+
+	Backported from master:
+	2021-12-02  Rasmus Villemoes  <rasmus.villemoes@prevas.dk>
+
+	* lto-plugin.c: Fix -linker-output-auto-notlo-rel ->
+	-linker-output-auto-nolto-rel typo.
+	(process_option): Adjust accordingly, accepting both old and
+	new spelling.
+
 2021-07-28  Release Manager
 
 	* GCC 11.2.0 released.

